SVXREFLECTOR(1)

NAME
svxreflector - The SvxLink conference server audio reflector

SYNOPSIS
svxreflector [--help] [--daemon] [--logfile=log file] [--config=configuration file] [--pidfile=pid file] [--runasuser=user name]

DESCRIPTION
The svxreflector server is used to interconnect multiple SvxLink nodes into one network. All audio sent to the reflector from one node is retransmitted on all other connected nodes. Only one talker is allowed at a time so if another node starts sending audio when another one is already active, the second node will not interrupt the first talker.

A TCP/IP connection is used for the control messages and the audio is transported via UDP. Make sure to open up the configured TCP and UDP ports in your firewall for incoming traffic on the server. By default the port number is set to 5300 for both TCP and UDP. The clients do not have to open any ports in their firewall. Each node must have a unique user ID, typically the callsign. It is not allowed for a client, using the same user ID, to connect more than one time to the server. The connections are password protected.

On the SvxLink node side, a ReflectorLogic should be used to connect to the SvxReflector server. The connection to the SvxReflector from other logics in that node can be activated and deactivated using standard logic linking. Read more about how to set up a SvxLink node for use with the SvxReflector in the svxlink.conf(5) manual page.

OPTIONS

--help
    Print a help message and exit.

--daemon
    Start the SvxReflector server as a daemon.

--runasuser
    Start SvxReflector as the specified user. The switch to the new user will happen after the log and pid files has been opened.

--logfile=log file
    Specify a log file to put all output into. Both stdout and stderr will be redirected to the log file.

--pidfile=pid file
    Specify a pid file to write the process ID into.

--config=configuration file
    Specify which configuration file to use.

FILES

/etc/svxlink/svxreflector.conf
    The system wide configuration file. See svxreflector.conf(5) for further details.

~/.svxlink/svxreflector.conf
    Per user configuration file. See svxreflector.conf(5) for further details.

/etc/svxlink/svxreflector.d/*
    Additional configuration files. This directory is setup by the CFG_DIR configuration variable.

ENVIRONMENT

HOME
    Used to find the per user configuration file.

AUTHOR
Tobias Blomberg (SM0SVX) <sm0svx at users dot sourceforge dot net>

REPORTING BUGS
SvxLink Devel <svxlink-devel at lists dot sourceforge dot net>

SEE ALSO
svxreflector.conf(5), svxlink(1), svxlink.conf(5),